package org.mobicents.servlet.sip.pbx.routing;

/**
 *
 * @author Marcos Hack <marcoshack@gmail.com>
 */
public class Route {

    private long id;
    private String prefix;
    private Gateway gateway;

    public Route() {
    }

    public Route(String prefix, Gateway gateway) {
        this.prefix = prefix;
        this.gateway = gateway;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public Gateway getGateway() {
        return gateway;
    }

    public void setGateway(Gateway gateway) {
        this.gateway = gateway;
    }

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Route[id = ").append(id);
        sb.append(", prefix = ").append(prefix);
        sb.append(", gateway_address = ").append(gateway.getAddress());
        sb.append("]");
        return sb.toString();
    }
}
