package org.mobicents.servlet.sip.pbx.address;

import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.sip.SipURI;
import javax.servlet.sip.URI;

/**
 *
 * @author marcoshack
 */
public class AddressHelper {
    private static Matcher didMatcher = Pattern.compile("^\\d{8,}$").matcher("");
    private static Matcher stationMatcher = Pattern.compile("^\\d{4,7}").matcher("");

    public static boolean isDID(URI uri) {
        return didMatcher.reset(((SipURI)uri).getUser()).matches();
    }

    public static boolean isStation(URI uri) {
        return stationMatcher.reset(((SipURI)uri).getUser()).matches();
    }
}
